--- old/usr/src/cmd/hwdata/pci.ids	2013-06-23 14:18:28.712044842 +0200
+++ new/usr/src/cmd/hwdata/pci.ids	2013-06-23 14:18:28.726905356 +0200
@@ -18001,10 +20688,14 @@
 		10f7 8338  Panasonic CF-Y5 laptop
 		17aa 2009  ThinkPad T60/R60 series
 	27bc  NM10 Family LPC Controller
+		105b 0d7c  D270S/D250S Motherboard
+		144d c072  Notebook N150P
+		1458 5001  GA-D525TUD
 		8086 4f4d  DeskTop Board D510MO
+		8086 544b  Desktop Board D425KT
 	27bd  82801GHM (ICH7-M DH) LPC Interface Bridge
 		1025 006c  9814 WKMI
-	27c0  N10/ICH7 Family SATA Controller [IDE mode]
+	27c0  NM10/ICH7 Family SATA Controller [IDE mode]
 		1028 01ad  OptiPlex GX620
 		1028 01df  PowerEdge SC440
 		1028 01e6  PowerEdge 860
@@ -18013,10 +20704,14 @@
 		1462 2310  MSI Hetis 945
 		1462 7236  945P Neo3-F Rev. 2.2 motherboard
 		1775 11cc  CC11/CL11
+		8086 544b  Desktop Board D425KT
 		8086 544e  DeskTop Board D945GTP
-	27c1  N10/ICH7 Family SATA Controller [AHCI mode]
+	27c1  NM10/ICH7 Family SATA Controller [AHCI mode]
 		1028 01df  PowerEdge SC440
 		103c 2a3b  Pavilion A1512X
+		105b 0d7c  D270S/D250S Motherboard
+		144d c072  Notebook N150P
+		1458 b005  GA-D525TUD
 		1775 11cc  CC11/CL11
 		8086 4f4d  DeskTop Board D510MO
 		8086 5842  DeskTop Board D975XBX
@@ -18032,7 +20727,7 @@
 		103c 30a3  Compaq nw8440
 		17aa 200d  ThinkPad T60/R60 series
 	27c6  82801GHM (ICH7-M DH) SATA Controller [RAID mode]
-	27c8  N10/ICH 7 Family USB UHCI Controller #1
+	27c8  NM10/ICH7 Family USB UHCI Controller #1
 		1025 006c  9814 WKMI
 		1028 01ad  OptiPlex GX620
 		1028 01d7  XPS M1210
@@ -18044,12 +20739,16 @@
 		103c 30a3  Compaq nw8440
 		1043 1237  A6J-Q008
 		1043 8179  P5KPL-VM,P5LD2-VM Mainboard
+		105b 0d7c  D270S/D250S Motherboard
 		107b 5048  E4500
+		144d c072  Notebook N150P
+		1458 5004  GA-D525TUD
 		1775 11cc  CC11/CL11
 		17aa 200a  ThinkPad T60/R60 series
 		8086 4f4d  DeskTop Board D510MO
+		8086 544b  Desktop Board D425KT
 		8086 544e  DeskTop Board D945GTP
-	27c9  N10/ICH 7 Family USB UHCI Controller #2
+	27c9  NM10/ICH7 Family USB UHCI Controller #2
 		1025 006c  9814 WKMI
 		1028 01ad  OptiPlex GX620
 		1028 01d7  XPS M1210
@@ -18061,12 +20760,16 @@
 		103c 30a3  Compaq nw8440
 		1043 1237  A6J-Q008
 		1043 8179  P5KPL-VM,P5LD2-VM Mainboard
+		105b 0d7c  D270S/D250S Motherboard
 		107b 5048  E4500
+		144d c072  Notebook N150P
+		1458 5004  GA-D525TUD
 		1775 11cc  CC11/CL11
 		17aa 200a  ThinkPad T60/R60 series
 		8086 4f4d  DeskTop Board D510MO
+		8086 544b  Desktop Board D425KT
 		8086 544e  DeskTop Board D945GTP
-	27ca  N10/ICH 7 Family USB UHCI Controller #3
+	27ca  NM10/ICH7 Family USB UHCI Controller #3
 		1025 006c  9814 WKMI
 		1028 01ad  OptiPlex GX620
 		1028 01d7  XPS M1210
@@ -18078,12 +20781,15 @@
 		103c 30a3  Compaq nw8440
 		1043 1237  A6J-Q008
 		1043 8179  P5KPL-VM,P5LD2-VM Mainboard
+		105b 0d7c  D270S/D250S Motherboard
 		107b 5048  E4500
+		144d c072  Notebook N150P
+		1458 5004  GA-D525TUD
 		1775 11cc  CC11/CL11
 		17aa 200a  ThinkPad T60/R60 series
 		8086 4f4d  DeskTop Board D510MO
 		8086 544e  DeskTop Board D945GTP
-	27cb  N10/ICH 7 Family USB UHCI Controller #4
+	27cb  NM10/ICH7 Family USB UHCI Controller #4
 		1025 006c  9814 WKMI
 		1028 01ad  OptiPlex GX620
 		1028 01d7  XPS M1210
@@ -18094,12 +20800,15 @@
 		103c 30a3  Compaq nw8440
 		1043 1237  A6J-Q008
 		1043 8179  P5KPL-VM,P5LD2-VM Mainboard
+		105b 0d7c  D270S/D250S Motherboard
 		107b 5048  E4500
+		144d c072  Notebook N150P
+		1458 5004  GA-D525TUD
 		1775 11cc  CC11/CL11
 		17aa 200a  ThinkPad T60/R60 series
 		8086 4f4d  DeskTop Board D510MO
 		8086 544e  DeskTop Board D945GTP
-	27cc  N10/ICH 7 Family USB2 EHCI Controller
+	27cc  NM10/ICH7 Family USB2 EHCI Controller
 		1025 006c  9814 WKMI
 		1028 01ad  OptiPlex GX620
 		1028 01d7  XPS M1210
@@ -18111,24 +20820,37 @@
 		103c 30a3  Compaq nw8440
 		1043 1237  A6J-Q008
 		1043 8179  P5KPL-VM,P5LD2-VM Mainboard
+		105b 0d7c  D270S/D250S Motherboard
+		144d c072  Notebook N150P
+		1458 5006  GA-D525TUD
 		1775 11cc  CC11/CL11
 		17aa 200b  ThinkPad T60/R60 series
 		8086 4f4d  DeskTop Board D510MO
+		8086 544b  Desktop Board D425KT
 		8086 544e  DeskTop Board D945GTP
-	27d0  N10/ICH 7 Family PCI Express Port 1
+	27d0  NM10/ICH7 Family PCI Express Port 1
 		103c 309f  Compaq nx9420 Notebook
 		103c 30a3  Compaq nw8440
+		144d c072  Notebook N150P
+		1458 5001  GA-D525TUD
 		1775 11cc  CC11/CL11
-	27d2  N10/ICH 7 Family PCI Express Port 2
+		8086 544b  Desktop Board D425KT
+	27d2  NM10/ICH7 Family PCI Express Port 2
 		103c 309f  Compaq nx9420 Notebook
 		103c 30a3  Compaq nw8440
+		144d c072  Notebook N150P
 		1775 11cc  CC11/CL11
-	27d4  N10/ICH 7 Family PCI Express Port 3
+		8086 544b  Desktop Board D425KT
+	27d4  NM10/ICH7 Family PCI Express Port 3
+		144d c072  Notebook N150P
 		1775 11cc  CC11/CL11
-	27d6  N10/ICH 7 Family PCI Express Port 4
+		8086 544b  Desktop Board D425KT
+	27d6  NM10/ICH7 Family PCI Express Port 4
 		103c 30a3  Compaq nw8440
+		144d c072  Notebook N150P
 		1775 11cc  CC11/CL11
-	27d8  N10/ICH 7 Family High Definition Audio Controller
+		8086 544b  Desktop Board D425KT
+	27d8  NM10/ICH7 Family High Definition Audio Controller
 		1025 006c  9814 WKMI
 		1028 01d7  XPS M1210
 		103c 2a3b  Pavilion A1512X
@@ -18140,11 +20862,14 @@
 		1043 817f  P5LD2-VM Mainboard (Realtek ALC 882 codec)
 		1043 8290  P5KPL-VM Motherboard
 		1043 82ea  P5KPL-CM Motherboard
+		105b 0d7c  D270S/D250S Motherboard
 		107b 5048  E4500
 		10f7 8338  Panasonic CF-Y5 laptop
 		1179 ff10  Toshiba Satellite A100-796 audio (Realtek ALC861)
 		1179 ff31  AC97 Data Fax SoftModem with SmartCP
 		1447 1043  Asus A8JP (Analog Devices AD1986A)
+		144d c072  Notebook N150P
+		1458 a002  GA-D525TUD (Realtek ALC887)
 		1458 a102  GA-8I945PG-RH Mainboard
 		152d 0753  Softmodem
 		1734 10ad  Conexant softmodem SmartCP
@@ -18154,7 +20879,7 @@
 		8086 27d8  DeskTop Board D945GTP
 		8086 d618  DeskTop Board D510MO
 		8384 7680  STAC9221 HD Audio Codec
-	27da  N10/ICH 7 Family SMBus Controller
+	27da  NM10/ICH7 Family SMBus Controller
 		1025 006c  9814 WKMI
 		1028 01ad  OptiPlex GX620
 		1028 01d7  XPS M1210
@@ -18162,14 +20887,17 @@
 		1028 01e6  PowerEdge 860
 		103c 2a3b  Pavilion A1512X
 		1043 8179  P5KPL-VM Motherboard
+		105b 0d7c  D270S/D250S Motherboard
 		10f7 8338  Panasonic CF-Y5 laptop
-		1458 5001  GA-8I945PG-RH Mainboard
+		144d c072  Notebook N150P
+		1458 5001  GA-8I945PG-RH/GA-D525TUD Mainboard
 		1775 11cc  CC11/CL11
 		17aa 200f  ThinkPad T60/R60 series
 		8086 4f4d  DeskTop Board D510MO
+		8086 544b  Desktop Board D425KT
 		8086 544e  DeskTop Board D945GTP
 		8086 5842  DeskTop Board D975XBX
-	27dc  N10/ICH 7 Family LAN Controller
+	27dc  NM10/ICH7 Family LAN Controller
 		103c 2a3b  Pavilion A1512X
 		8086 308d  DeskTop Board D945GTP
 	27dd  82801G (ICH7 Family) AC'97 Modem Controller
@@ -18195,7 +20923,6 @@
 		1775 11cc  CC11/CL11
 	27e2  82801GR/GH/GHM (ICH7 Family) PCI Express Port 6
 		1775 11cc  CC11/CL11
-	2802  82GL40 [Cantiga] High Definition Audio HDMI Service
 	2810  82801HB/HR (ICH8/R) LPC Interface Controller
 		1043 81ec  P5B
 	2811  82801HEM (ICH8M-E) LPC Interface Controller
@@ -18218,12 +20945,14 @@
 	2821  82801HR/HO/HH (ICH8R/DO/DH) 6 port SATA Controller [AHCI mode]
 	2822  82801 SATA Controller [RAID mode]
 		1028 020d  Inspiron 530
+	2823  Wellsburg sSATA RAID Controller
 	2824  82801HB (ICH8) 4 port SATA Controller [AHCI mode]
 		1043 81ec  P5B
 	2825  82801HR/HO/HH (ICH8R/DO/DH) 2 port SATA Controller [IDE mode]
 		1028 01da  OptiPlex 745
 		1462 7235  P965 Neo MS-7235 mainboard
 	2826  C600/X79 series chipset SATA RAID Controller
+	2827  Wellsburg sSATA RAID Controller
 	2828  82801HM/HEM (ICH8M/ICH8M-E) SATA Controller [IDE mode]
 		1028 01f3  Inspiron 1420
 		103c 30c0  Compaq 6710b
@@ -18260,7 +20989,6 @@
 		1028 01da  OptiPlex 745
 		1028 01f3  Inspiron 1420
 		103c 30c0  Compaq 6710b
-# Name mistyped on previous submission
 		103c 30c1  Compaq 6910p
 		103c 30cc  Pavilion dv6700
 		103c 30d9  Presario C700
@@ -18407,6 +21135,7 @@
 		1028 0211  Optiplex 755
 	2916  82801IR (ICH9R) LPC Interface Controller
 		1028 020d  Inspiron 530
+		1043 8277  P5K PRO Motherboard
 		8086 5044  Desktop Board DP35DP
 	2917  ICH9M-E LPC Interface Controller
 		e4bf cc4d  CCM-BOOGIE
@@ -18420,6 +21149,7 @@
 		1028 0210  PowerEdge T300 onboard SATA Controller
 		1028 0211  Optiplex 755
 		1028 023c  PowerEdge R200 onboard SATA Controller
+		1043 8277  P5K PRO Motherboard
 	2921  82801IB (ICH9) 2 port SATA Controller [IDE mode]
 		1028 0235  PowerEdge R710 SATA IDE Controller
 		1028 0236  PowerEdge R610 SATA IDE Controller
@@ -18436,6 +21166,7 @@
 		1028 020f  PowerEdge R300 onboard SATA Controller
 		1028 0210  PowerEdge T300 onboard SATA Controller
 		1028 0211  Optiplex 755
+		1043 8277  P5K PRO Motherboard
 		1462 7360  G33/P35 Neo
 	2928  82801IBM/IEM (ICH9M/ICH9M-E) 2 port SATA Controller [IDE mode]
 	2929  82801IBM/IEM (ICH9M/ICH9M-E) 4 port SATA Controller [AHCI mode]
@@ -18444,11 +21175,11 @@
 	292c  82801IEM (ICH9M-E) SATA Controller [RAID mode]
 	292d  82801IBM/IEM (ICH9M/ICH9M-E) 2 port SATA Controller [IDE mode]
 		e4bf cc4d  CCM-BOOGIE
-	292e  ICH9M SATA IDE Controller
 	2930  82801I (ICH9 Family) SMBus Controller
 		1028 020d  Inspiron 530
 		1028 0211  Optiplex 755
 		103c 3628  dv6-1190en
+		1043 8277  P5K PRO Motherboard
 		1462 7360  G33/P35 Neo
 		8086 5044  Desktop Board DP35DP
 		e4bf cc4d  CCM-BOOGIE
@@ -18466,6 +21197,7 @@
 		1028 0287  PowerEdge M610 onboard UHCI
 		1028 029c  PowerEdge M710 USB UHCI Controller
 		1028 2011  Optiplex 755
+		1043 8277  P5K PRO Motherboard
 		1462 7360  G33/P35 Neo
 		8086 5044  Desktop Board DP35DP
 		e4bf cc4d  CCM-BOOGIE
@@ -18480,6 +21212,7 @@
 		1028 023c  PowerEdge R200 onboard UHCI
 		1028 0287  PowerEdge M610 onboard UHCI
 		1028 029c  PowerEdge M710 USB UHCI Controller
+		1043 8277  P5K PRO Motherboard
 		1462 7360  G33/P35 Neo
 		8086 5044  Desktop Board DP35DP
 		e4bf cc4d  CCM-BOOGIE
@@ -18492,6 +21225,7 @@
 		1028 023c  PowerEdge R200 onboard UHCI
 		1028 0287  PowerEdge M610 onboard UHCI
 		1028 029c  PowerEdge M710 USB UHCI Controller
+		1043 8277  P5K PRO Motherboard
 		1462 7360  G33/P35 Neo
 		8086 5044  Desktop Board DP35DP
 		e4bf cc4d  CCM-BOOGIE
@@ -18504,6 +21238,7 @@
 		1028 0287  PowerEdge M610 onboard UHCI
 		1028 029c  PowerEdge M710 USB UHCI Controller
 		1028 2011  Optiplex 755
+		1043 8277  P5K PRO Motherboard
 		1462 7360  G33/P35 Neo
 		8086 2937  Optiplex 755
 		8086 2942  828011 (ICH9 Family ) USB UHCI Controller
@@ -18517,6 +21252,7 @@
 		1028 0237  PowerEdge T610 USB UHCI Controller
 		1028 0287  PowerEdge M610 onboard UHCI
 		1028 029c  PowerEdge M710 USB UHCI Controller
+		1043 8277  P5K PRO Motherboard
 		1462 7360  G33/P35 Neo
 		8086 2938  Optiplex 755
 		8086 5044  Desktop Board DP35DP
@@ -18525,6 +21261,7 @@
 		1028 020d  Inspiron 530
 		1028 0210  PowerEdge T300 onboard UHCI
 		1028 0237  PowerEdge T610 USB UHCI Controller
+		1043 8277  P5K PRO Motherboard
 		1462 7360  G33/P35 Neo
 		8086 5044  Desktop Board DP35DP
 		e4bf cc4d  CCM-BOOGIE
@@ -18539,6 +21276,7 @@
 		1028 023c  PowerEdge R200 onboard EHCI
 		1028 0287  PowerEdge M610 onboard EHCI
 		1028 029c  PowerEdge M710 USB EHCI Controller
+		1043 8277  P5K PRO Motherboard
 		1462 7360  G33/P35 Neo
 		8086 5044  Desktop Board DP35DP
 		e4bf cc4d  CCM-BOOGIE
@@ -18550,6 +21288,7 @@
 		1028 0237  PowerEdge T610 USB EHCI Controller
 		1028 0287  PowerEdge M610 onboard EHCI
 		1028 029c  PowerEdge M710 USB EHCI Controller
+		1043 8277  P5K PRO Motherboard
 		1462 7360  G33/P35 Neo
 		8086 293c  Optiplex 755
 		8086 5044  Desktop Board DP35DP
@@ -18558,6 +21297,7 @@
 		1028 020d  Inspiron 530
 		1028 0211  Optiplex 755
 		103c 3628  dv6-1190en
+		1043 829f  P5K PRO Motherboard
 		1462 7360  G33/P35 Neo
 		8086 293e  Optiplex 755
 		8086 2940  Optiplex 755
@@ -18565,6 +21305,8 @@
 	2940  82801I (ICH9 Family) PCI Express Port 1
 		1028 020d  Inspiron 530
 		1028 0211  Optiplex 755
+# same ID possibly also on other ASUS boards
+		1043 8277  P5K PRO Motherboard
 		8086 2940  Optiplex 755
 	2942  82801I (ICH9 Family) PCI Express Port 2
 		1028 020d  Inspiron 530
@@ -18574,8 +21316,12 @@
 		1028 020d  Inspiron 530
 	2948  82801I (ICH9 Family) PCI Express Port 5
 		1028 020d  Inspiron 530
+# same ID possibly also on other ASUS boards
+		1043 8277  P5K PRO Motherboard
 	294a  82801I (ICH9 Family) PCI Express Port 6
 		1028 020d  Inspiron 530
+# same ID possibly also on other ASUS boards
+		1043 8277  P5K PRO Motherboard
 	294c  82566DC-2 Gigabit Network Connection
 		17aa 302e  82566DM-2 Gigabit Network Connection
 	2970  82946GZ/PL/GL Memory Controller Hub
@@ -18628,11 +21374,15 @@
 		1028 0211  OptiPlex 755
 	29c0  82G33/G31/P35/P31 Express DRAM Controller
 		1028 020d  Inspiron 530
+# same ID possibly also on other ASUS boards
+		1043 8276  P5K PRO Motherboard
 		1043 82b0  P5KPL-VM Motherboard
 		1462 7360  G33/P35 Neo
 		8086 5044  Desktop Board DP35DP
 	29c1  82G33/G31/P35/P31 Express PCI Express Root Port
 		1028 020d  Inspiron 530
+# same ID possibly also on other ASUS boards
+		1043 8276  P5K PRO Motherboard
 	29c2  82G33/G31 Express Integrated Graphics Controller
 		1028 020d  Inspiron 530
 		1043 82b0  P5KPL-VM Motherboard
@@ -18677,7 +21427,7 @@
 		104d 9005  Vaio VGN-FZ260E
 		104d 902d  VAIO VGN-NR120E
 		17aa 20b1  ThinkPad T61
-		17aa 20b3  T61
+		17aa 20b3  ThinkPad T61/R61
 		e4bf cc47  CCG-RUMBA
 	2a01  Mobile PM965/GM965/GL960 PCI Express Root Port
 	2a02  Mobile GM965/GL960 Integrated Graphics Controller (primary)
@@ -18686,14 +21436,14 @@
 		103c 30c0  Compaq 6710b
 		103c 30d9  Presario C700
 		104d 902d  VAIO VGN-NR120E
-		17aa 20b5  T61
+		17aa 20b5  ThinkPad T61/R61
 		e4bf cc47  CCG-RUMBA
 	2a03  Mobile GM965/GL960 Integrated Graphics Controller (secondary)
 		1028 01f3  Dell Inspiron 1420
 		103c 30c0  Compaq 6710b
 		103c 30d9  Presario C700
 		104d 902d  VAIO VGN-NR120E
-		17aa 20b5  T61
+		17aa 20b5  ThinkPad T61/R61
 		e4bf cc47  CCG-RUMBA
 	2a04  Mobile PM965/GM965 MEI Controller
 		103c 30c1  Compaq 6910p
@@ -18895,11 +21645,15 @@
 	2e16  4 Series Chipset PT IDER Controller
 	2e17  4 Series Chipset Serial KT Controller
 	2e20  4 Series Chipset DRAM Controller
+		1043 82d3  P5Q Deluxe Motherboard
 		1458 5000  GA-EP45-DS5/GA-EG45M-DS2H Motherboard
 	2e21  4 Series Chipset PCI Express Root Port
+		1043 82d3  P5Q Deluxe Motherboard
 		1458 5000  GA-EP45-DS5 Motherboard
 	2e22  4 Series Chipset Integrated Graphics Controller
+		1458 d000  GA-EG45M-DS2H Mainboard
 	2e23  4 Series Chipset Integrated Graphics Controller
+		1458 d000  GA-EG45M-DS2H Mainboard
 	2e24  4 Series Chipset HECI Controller
 	2e25  4 Series Chipset HECI Controller
 	2e26  4 Series Chipset PT IDER Controller
@@ -18952,6 +21706,164 @@
 	2e94  4 Series Chipset HECI Controller
 	2e95  4 Series Chipset HECI Controller
 	2e96  4 Series Chipset PT IDER Controller
+	2f00  Haswell-E DMI2
+	2f01  Haswell-E PCI Express Root Port 0
+	2f02  Haswell-E PCI Express Root Port 1
+	2f03  Haswell-E PCI Express Root Port 1
+	2f04  Haswell-E PCI Express Root Port 2
+	2f05  Haswell-E PCI Express Root Port 2
+	2f06  Haswell-E PCI Express Root Port 2
+	2f07  Haswell-E PCI Express Root Port 2
+	2f08  Haswell-E PCI Express Root Port 3
+	2f09  Haswell-E PCI Express Root Port 3
+	2f0a  Haswell-E PCI Express Root Port 3
+	2f0b  Haswell-E PCI Express Root Port 3
+	2f10  Haswell-E IIO Debug
+	2f11  Haswell-E IIO Debug
+	2f12  Haswell-E IIO Debug
+	2f13  Haswell-E IIO Debug
+	2f14  Haswell-E IIO Debug
+	2f15  Haswell-E IIO Debug
+	2f16  Haswell-E IIO Debug
+	2f17  Haswell-E IIO Debug
+	2f18  Haswell-E IIO Debug
+	2f19  Haswell-E IIO Debug
+	2f1a  Haswell-E IIO Debug
+	2f1b  Haswell-E IIO Debug
+	2f1c  Haswell-E IIO Debug
+	2f1d  Haswell-E PCIe Ring Interface
+	2f1e  Haswell-E Scratchpad & Semaphore Registers
+	2f1f  Haswell-E Scratchpad & Semaphore Registers
+	2f20  Haswell-E DMA Channel 0
+	2f21  Haswell-E DMA Channel 1
+	2f22  Haswell-E DMA Channel 2
+	2f23  Haswell-E DMA Channel 3
+	2f24  Haswell-E DMA Channel 4
+	2f25  Haswell-E DMA Channel 5
+	2f26  Haswell-E DMA Channel 6
+	2f27  Haswell-E DMA Channel 7
+	2f28  Haswell-E Address Map, VTd_Misc, System Management
+	2f29  Haswell-E Hot Plug
+	2f2a  Haswell-E RAS, Control Status and Global Errors
+	2f2c  Haswell-E I/O Apic
+	2f2e  Haswell-E RAID 5/6
+	2f2f  Haswell-E RAID 5/6
+	2f30  Haswell-E Home Agent 0
+	2f32  Haswell-E QPI Link 0
+	2f33  Haswell-E QPI Link 1
+	2f34  Haswell-E PCIe Ring Interface
+	2f36  Haswell-E R3 QPI Link 0 & 1 Monitoring
+	2f37  Haswell-E R3 QPI Link 0 & 1 Monitoring
+	2f38  Haswell-E Home Agent 1
+	2f3a  Haswell-E QPI Link 2
+	2f3e  Haswell-E R3 QPI Link 2 Monitoring
+	2f3f  Haswell-E R3 QPI Link 2 Monitoring
+	2f40  Haswell-E QPI Link 2
+	2f41  Haswell-E R3 QPI Link 2 Monitoring
+	2f43  Haswell-E QPI Link 2
+	2f45  Haswell-E QPI Link 2 Debug
+	2f46  Haswell-E QPI Link 2 Debug
+	2f47  Haswell-E QPI Link 2 Debug
+	2f60  Haswell-E Home Agent 1
+	2f68  Haswell-E Integrated Memory Controller 1 Target Address, Thermal & RAS Registers
+	2f6a  Haswell-E Integrated Memory Controller 1 Channel Target Address Decoder
+	2f6b  Haswell-E Integrated Memory Controller 1 Channel Target Address Decoder
+	2f6c  Haswell-E Integrated Memory Controller 1 Channel Target Address Decoder
+	2f6d  Haswell-E Integrated Memory Controller 1 Channel Target Address Decoder
+	2f6e  Haswell-E DDRIO Channel 2/3 Broadcast
+	2f6f  Haswell-E DDRIO Global Broadcast
+	2f70  Haswell-E Home Agent 0 Debug
+	2f71  Haswell-E Integrated Memory Controller 0 Target Address, Thermal & RAS Registers
+	2f76  Haswell-E E3 QPI Link Debug
+	2f78  Haswell-E Home Agent 1 Debug
+	2f79  Haswell-E Integrated Memory Controller 1 Target Address, Thermal & RAS Registers
+	2f7d  Haswell-E Scratchpad & Semaphore Registers
+	2f7e  Haswell-E E3 QPI Link Debug
+	2f80  Haswell-E QPI Link 0
+	2f81  Haswell-E R3 QPI Link 0 & 1 Monitoring
+	2f83  Haswell-E QPI Link 0
+	2f85  Haswell-E QPI Link 0 Debug
+	2f86  Haswell-E QPI Link 0 Debug
+	2f87  Haswell-E QPI Link 0 Debug
+	2f88  Haswell-E VCU
+	2f8a  Haswell-E VCU
+	2f90  Haswell-E QPI Link 1
+	2f93  Haswell-E QPI Link 1
+	2f95  Haswell-E QPI Link 1 Debug
+	2f96  Haswell-E QPI Link 1 Debug
+	2f98  Haswell-E Power Control Unit
+	2f99  Haswell-E Power Control Unit
+	2f9a  Haswell-E Power Control Unit
+	2f9c  Haswell-E Power Control Unit
+	2fa0  Haswell-E Home Agent 0
+	2fa8  Haswell-E Integrated Memory Controller 0 Target Address, Thermal & RAS Registers
+	2faa  Haswell-E Integrated Memory Controller 0 Channel Target Address Decoder
+	2fab  Haswell-E Integrated Memory Controller 0 Channel Target Address Decoder
+	2fac  Haswell-E Integrated Memory Controller 0 Channel Target Address Decoder
+	2fad  Haswell-E Integrated Memory Controller 0 Channel Target Address Decoder
+	2fae  Haswell-E DDRIO Channel 0/1 Broadcast
+	2faf  Haswell-E DDRIO Global Broadcast
+	2fb0  Haswell-E Integrated Memory Controller 0 Channel 0 Thermal Control
+	2fb1  Haswell-E Integrated Memory Controller 0 Channel 1 Thermal Control
+	2fb2  Haswell-E Integrated Memory Controller 0 Channel 0 ERROR Registers
+	2fb3  Haswell-E Integrated Memory Controller 0 Channel 1 ERROR Registers
+	2fb4  Haswell-E Integrated Memory Controller 0 Channel 2 Thermal Control
+	2fb5  Haswell-E Integrated Memory Controller 0 Channel 3 Thermal Control
+	2fb6  Haswell-E Integrated Memory Controller 0 Channel 2 ERROR Registers
+	2fb7  Haswell-E Integrated Memory Controller 0 Channel 3 ERROR Registers
+	2fb8  Haswell-E DDRIO (VMSE) 2 & 3
+	2fb9  Haswell-E DDRIO (VMSE) 2 & 3
+	2fba  Haswell-E DDRIO (VMSE) 2 & 3
+	2fbb  Haswell-E DDRIO (VMSE) 2 & 3
+	2fbc  Haswell-E DDRIO (VMSE) 0 & 1
+	2fbd  Haswell-E DDRIO (VMSE) 0 & 1
+	2fbe  Haswell-E DDRIO (VMSE) 0 & 1
+	2fbf  Haswell-E DDRIO (VMSE) 0 & 1
+	2fc0  Haswell-E Power Control Unit
+	2fc1  Haswell-E Power Control Unit
+	2fc2  Haswell-E Power Control Unit
+	2fc3  Haswell-E Power Control Unit
+	2fc4  Haswell-E Power Control Unit
+	2fc5  Haswell-E Power Control Unit
+	2fd0  Haswell-E Integrated Memory Controller 1 Channel 0 Thermal Control
+	2fd1  Haswell-E Integrated Memory Controller 1 Channel 1 Thermal Control
+	2fd2  Haswell-E Integrated Memory Controller 1 Channel 0 ERROR Registers
+	2fd3  Haswell-E Integrated Memory Controller 1 Channel 1 ERROR Registers
+	2fd4  Haswell-E Integrated Memory Controller 1 Channel 2 Thermal Control
+	2fd5  Haswell-E Integrated Memory Controller 1 Channel 3 Thermal Control
+	2fd6  Haswell-E Integrated Memory Controller 1 Channel 2 ERROR Registers
+	2fd7  Haswell-E Integrated Memory Controller 1 Channel 3 ERROR Registers
+	2fe0  Haswell-E Unicast Registers
+	2fe1  Haswell-E Unicast Registers
+	2fe2  Haswell-E Unicast Registers
+	2fe3  Haswell-E Unicast Registers
+	2fe4  Haswell-E Unicast Registers
+	2fe5  Haswell-E Unicast Registers
+	2fe6  Haswell-E Unicast Registers
+	2fe7  Haswell-E Unicast Registers
+	2fe8  Haswell-E Unicast Registers
+	2fe9  Haswell-E Unicast Registers
+	2fea  Haswell-E Unicast Registers
+	2feb  Haswell-E Unicast Registers
+	2fec  Haswell-E Unicast Registers
+	2fed  Haswell-E Unicast Registers
+	2fee  Haswell-E Unicast Registers
+	2fef  Haswell-E Unicast Registers
+	2ff0  Haswell-E Unicast Registers
+	2ff1  Haswell-E Unicast Registers
+	2ff2  Haswell-E Unicast Registers
+	2ff3  Haswell-E Unicast Registers
+	2ff4  Haswell-E Unicast Registers
+	2ff5  Haswell-E Unicast Registers
+	2ff6  Haswell-E Unicast Registers
+	2ff7  Haswell-E Unicast Registers
+	2ff8  Haswell-E Buffered Ring Agent
+	2ff9  Haswell-E Buffered Ring Agent
+	2ffa  Haswell-E Buffered Ring Agent
+	2ffb  Haswell-E Buffered Ring Agent
+	2ffc  Haswell-E System Address Decoder & Broadcast Registers
+	2ffd  Haswell-E System Address Decoder & Broadcast Registers
+	2ffe  Haswell-E System Address Decoder & Broadcast Registers
 	3200  GD31244 PCI-X SATA HBA
 		1775 c200  C2K onboard SATA host bus adapter
 	3310  IOP348 I/O Processor
@@ -18987,9 +21899,10 @@
 	3404  5520/5500/X58 I/O Hub to ESI Port
 	3405  5520/5500/X58 I/O Hub to ESI Port
 	3406  5520 I/O Hub to ESI Port
+		103c 330b  ProLiant G6 series
 	3407  5520/5500/X58 I/O Hub to ESI Port
 	3408  5520/5500/X58 I/O Hub PCI Express Root Port 1
-		103c 330b  ProLiant ML150 G6 Server
+		103c 330b  ProLiant G6 series
 	3409  5520/5500/X58 I/O Hub PCI Express Root Port 2
 	340a  5520/5500/X58 I/O Hub PCI Express Root Port 3
 		103c 330b  ProLiant ML150 G6 Server
@@ -18999,41 +21912,51 @@
 	340e  5520/5500/X58 I/O Hub PCI Express Root Port 7
 		103c 330b  ProLiant ML150 G6 Server
 	340f  5520/5500/X58 I/O Hub PCI Express Root Port 8
-	3410  5520/5500/X58 I/O Hub PCI Express Root Port 9
-	3411  5520/5500/X58 I/O Hub PCI Express Root Port 10
-	3418  5520/5500/X58 Physical Layer Port 0
-	3419  5520/5500 Physical Layer Port 1
-	3420  5500 Non-Legacy I/O Hub PCI Express Root Port 0
-	3421  5520 Non-Legacy I/O Hub PCI Express Root Port 0
-	3422  5520/5500/X58 I/O Hub GPIO and Scratch Pad Registers
-	3423  5520/5500/X58 I/O Hub Control Status and RAS Registers
-	3425  5520/5500/X58 Physical and Link Layer Registers Port 0
-	3426  5520/5500/X58 Routing and Protocol Layer Registers Port 0
-	3427  5520/5500 Physical and Link Layer Registers Port 1
-	3428  5520/5500 Routing & Protocol Layer Register Port 1
+	3410  7500/5520/5500/X58 I/O Hub PCI Express Root Port 9
+	3411  7500/5520/5500/X58 I/O Hub PCI Express Root Port 10
+	3418  7500/5520/5500/X58 Physical Layer Port 0
+	3419  7500/5520/5500 Physical Layer Port 1
+	3420  7500/5520/5500/X58 I/O Hub PCI Express Root Port 0
+	3421  7500/5520/5500/X58 I/O Hub PCI Express Root Port 0
+	3422  7500/5520/5500/X58 I/O Hub GPIO and Scratch Pad Registers
+		103c 330b  ProLiant G6 series
+	3423  7500/5520/5500/X58 I/O Hub Control Status and RAS Registers
+		103c 330b  ProLiant G6 series
+	3425  7500/5520/5500/X58 Physical and Link Layer Registers Port 0
+	3426  7500/5520/5500/X58 Routing and Protocol Layer Registers Port 0
+	3427  7500/5520/5500 Physical and Link Layer Registers Port 1
+	3428  7500/5520/5500 Routing & Protocol Layer Register Port 1
 	3429  5520/5500/X58 Chipset QuickData Technology Device
 	342a  5520/5500/X58 Chipset QuickData Technology Device
 	342b  5520/5500/X58 Chipset QuickData Technology Device
 	342c  5520/5500/X58 Chipset QuickData Technology Device
-	342d  5520/5500/X58 I/O Hub I/OxAPIC Interrupt Controller
-	342e  5520/5500/X58 I/O Hub System Management Registers
-	342f  5520/5500/X58 Trusted Execution Technology Registers
+	342d  7500/5520/5500/X58 I/O Hub I/OxAPIC Interrupt Controller
+	342e  7500/5520/5500/X58 I/O Hub System Management Registers
+		103c 330b  ProLiant G6 series
+	342f  7500/5520/5500/X58 Trusted Execution Technology Registers
 	3430  5520/5500/X58 Chipset QuickData Technology Device
 	3431  5520/5500/X58 Chipset QuickData Technology Device
 	3432  5520/5500/X58 Chipset QuickData Technology Device
 	3433  5520/5500/X58 Chipset QuickData Technology Device
-	3438  5520/5500/X58 I/O Hub Throttle Registers
+	3438  7500/5520/5500/X58 I/O Hub Throttle Registers
 	3500  6311ESB/6321ESB PCI Express Upstream Port
+		103c 31fe  ProLiant DL140 G3
+		15d9 9680  X7DBN Motherboard
 	3501  6310ESB PCI Express Upstream Port
 	3504  6311ESB/6321ESB I/OxAPIC Interrupt Controller
 	3505  6310ESB I/OxAPIC Interrupt Controller
 	350c  6311ESB/6321ESB PCI Express to PCI-X Bridge
+		103c 31fe  ProLiant DL140 G3
+		15d9 9680  X7DBN Motherboard
 	350d  6310ESB PCI Express to PCI-X Bridge
 	3510  6311ESB/6321ESB PCI Express Downstream Port E1
+		103c 31fe  ProLiant DL140 G3
+		15d9 9680  X7DBN Motherboard
 	3511  6310ESB PCI Express Downstream Port E1
 	3514  6311ESB/6321ESB PCI Express Downstream Port E2
 	3515  6310ESB PCI Express Downstream Port E2
 	3518  6311ESB/6321ESB PCI Express Downstream Port E3
+		15d9 9680  X7DBN Motherboard
 	3519  6310ESB PCI Express Downstream Port E3
 	3575  82830M/MG/MP Host Bridge
 		0e11 0030  Evo N600c
@@ -19116,9 +22039,12 @@
 	3591  E7525/E7520 Error Reporting Registers
 		1014 02dd  eServer xSeries server mainboard
 		1028 0169  Precision 470
+		103c 3208  ProLiant DL140 G2
 		4c53 10d0  Telum ASLP10 Processor AMC
 	3592  E7320 Memory Controller Hub
+		1734 1073  Primergy Econel 200 D2020 mainboard
 	3593  E7320 Error Reporting Registers
+		1734 1073  Primergy Econel 200 D2020 mainboard
 	3594  E7520 DMA Controller
 		1775 1100  CR11/VR11 Single Board Computer
 		4c53 10d0  Telum ASLP10 Processor AMC
@@ -19208,7 +22134,8 @@
 	3a16  82801JIR (ICH10R) LPC Interface Controller
 		1028 028c  PowerEdge R410 LPC Interface Controller
 		1028 028d  PowerEdge T410 LPC Interface Controller
-		103c 330b  ProLiant ML150 G6 Server
+		103c 330b  ProLiant G6 series
+		1043 82d4  P5Q Deluxe Motherboard
 		1458 5001  GA-EP45-DS5 Motherboard
 	3a18  82801JIB (ICH10) LPC Interface Controller
 	3a1a  82801JD (ICH10D) LPC Interface Controller
@@ -19216,9 +22143,9 @@
 		1028 028c  PowerEdge R410 SATA IDE Controller
 		1028 028d  PowerEdge T410 SATA IDE Controller
 	3a22  82801JI (ICH10 Family) SATA AHCI Controller
-		103c 330b  ProLiant ML150 G6 Server
+		103c 330b  ProLiant G6 series
 		1043 82d4  P5Q Deluxe Motherboard
-		1458 b005  GA-EP45-DS5 Motherboard
+		1458 b005  GA-EP45-DS5/GA-EG45M-DS2H Motherboard
 	3a25  82801JIR (ICH10R) SATA RAID Controller
 		1028 028c  PERC S100 Controller (PE R410)
 		1028 028d  PERC S100 Controller (PE T410)
@@ -19227,57 +22154,68 @@
 		1028 028c  PowerEdge R410 SATA IDE Controller
 		1028 028d  PowerEdge T410 SATA IDE Controller
 	3a30  82801JI (ICH10 Family) SMBus Controller
-		1458 5001  GA-EP45-DS5 Motherboard
+		1043 82d4  P5Q Deluxe Motherboard
+		1458 5001  GA-EP45-DS5/GA-EG45M-DS2H Motherboard
 	3a32  82801JI (ICH10 Family) Thermal Subsystem
 	3a34  82801JI (ICH10 Family) USB UHCI Controller #1
 		1028 028c  PowerEdge R410 USB UHCI Controller
 		1028 028d  PowerEdge T410 USB UHCI Controller
-		103c 330b  ProLiant ML150 G6 Server
+		103c 330b  ProLiant G6 series
+		1043 82d4  P5Q Deluxe Motherboard
 		1458 5004  GA-EP45-DS5 Motherboard
 	3a35  82801JI (ICH10 Family) USB UHCI Controller #2
 		1028 028c  PowerEdge R410 USB UHCI Controller
 		1028 028d  PowerEdge T410 USB UHCI Controller
-		103c 330b  ProLiant ML150 G6 Server
+		103c 330b  ProLiant G6 series
+		1043 82d4  P5Q Deluxe Motherboard
 		1458 5004  GA-EP45-DS5 Motherboard
 	3a36  82801JI (ICH10 Family) USB UHCI Controller #3
 		1028 028c  PowerEdge R410 USB UHCI Controller
 		1028 028d  PowerEdge T410 USB UHCI Controller
-		103c 330b  ProLiant ML150 G6 Server
+		103c 330b  ProLiant G6 series
+		1043 82d4  P5Q Deluxe Motherboard
 		1458 5004  GA-EP45-DS5 Motherboard
 	3a37  82801JI (ICH10 Family) USB UHCI Controller #4
 		1028 028c  PowerEdge R410 USB UHCI Controller
 		1028 028d  PowerEdge T410 USB UHCI Controller
-		103c 330b  ProLiant ML150 G6 Server
-		1458 5004  GA-EP45-DS5/GA-EG45M-DS2H Motherboard
+		103c 330b  ProLiant G6 series
+		1043 82d4  P5Q Deluxe Motherboard
+		1458 5004  Motherboard
 	3a38  82801JI (ICH10 Family) USB UHCI Controller #5
 		1028 028c  PowerEdge R410 USB UHCI Controller
 		1028 028d  PowerEdge T410 USB UHCI Controller
 		103c 330b  ProLiant ML150 G6 Server
-		1458 5004  GA-EP45-DS5/GA-EG45M-DS2H Motherboard
+		1043 82d4  P5Q Deluxe Motherboard
+		1458 5004  Motherboard
 	3a39  82801JI (ICH10 Family) USB UHCI Controller #6
 		1028 028c  PowerEdge R410 USB UHCI Controller
 		1028 028d  PowerEdge T410 USB UHCI Controller
 		103c 330b  ProLiant ML150 G6 Server
-		1458 5004  GA-EP45-DS5 Motherboard
+		1043 82d4  P5Q Deluxe Motherboard
+		1458 5004  Motherboard
 	3a3a  82801JI (ICH10 Family) USB2 EHCI Controller #1
 		1028 028c  PowerEdge R410 USB EHCI Controller
 		1028 028d  PowerEdge T410 USB EHCI Controller
-		103c 330b  ProLiant ML150 G6 Server
+		103c 330b  ProLiant G6 series
+		1043 82d4  P5Q Deluxe Motherboard
 		1458 5006  GA-EP45-DS5 Motherboard
 	3a3c  82801JI (ICH10 Family) USB2 EHCI Controller #2
 		1028 028c  PowerEdge R410 USB EHCI Controller
 		1028 028d  PowerEdge T410 USB EHCI Controller
-		103c 330b  ProLiant ML150 G6 Server
+		103c 330b  ProLiant G6 series
+		1043 82d4  P5Q Deluxe Motherboard
 		1458 5006  GA-EP45-DS5 Motherboard
 	3a3e  82801JI (ICH10 Family) HD Audio Controller
+		1043 8311  P5Q Deluxe Motherboard
 		1458 a002  GA-EP45-UD3R Motherboard
-		1458 a102  GA-EP45-DS5 Motherboard
+		1458 a102  GA-EP45-DS5/GA-EG45M-DS2H Motherboard
 	3a40  82801JI (ICH10 Family) PCI Express Root Port 1
 		1028 028c  PowerEdge R410 PCI Express Port 1
 		1028 028d  PowerEdge T410 PCI Express Port 1
 		103c 330b  ProLiant ML150 G6 Server
+		1043 82d4  P5Q Deluxe Motherboard
 		1043 82ea  P6T DeLuxe Motherboard
-		1458 5001  GA-EP45-DS5 Motherboard
+		1458 5001  GA-EP45-DS5/GA-EG45M-DS2H Motherboard
 	3a42  82801JI (ICH10 Family) PCI Express Port 2
 	3a44  82801JI (ICH10 Family) PCI Express Root Port 3
 		1043 82ea  P6T DeLuxe Motherboard
@@ -19290,8 +22228,9 @@
 		1458 5001  GA-EP45-DS5 Motherboard
 	3a4a  82801JI (ICH10 Family) PCI Express Root Port 6
 		103c 330b  ProLiant ML150 G6 Server
+		1043 82d4  P5Q Deluxe Motherboard
 		1043 82ea  P6T DeLuxe Motherboard
-		1458 5001  GA-EP45-DS5 Motherboard
+		1458 5001  GA-EP45-DS5/GA-EG45M-DS2H Motherboard
 	3a4c  82801JI (ICH10 Family) Gigabit Ethernet Controller
 	3a51  82801JDO (ICH10DO) VECI Controller
 	3a55  82801JD/DO (ICH10 Family) Virtual SATA Controller
@@ -19327,6 +22266,7 @@
 	3b09  Mobile 5 Series Chipset LPC Interface Controller
 		1025 0347  Aspire 7740G
 	3b0a  5 Series Chipset LPC Interface Controller
+		1028 02da  OptiPlex 980
 	3b0b  Mobile 5 Series Chipset LPC Interface Controller
 	3b0c  5 Series Chipset LPC Interface Controller
 	3b0d  5 Series/3400 Series Chipset LPC Interface Controller
